%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppet-nssdb


Name:           puppet-nssdb
Version:        1.0.1
Release:        2%{?dist}
Summary:        NSS databse Puppet Module
License:        ASL-2.0

URL:            https://github.com/rcritten/puppet-nssdb

Source0:        http://github.com/rcritten/%{upstream_name}/archive/%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1.0.1
Patch0001: 0001-Add-the-basics-of-what-the-module-can-do-to-README.m.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
This Puppet Module manages NSS Databases.

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nssdb/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nssdb/


%files
%{_datadir}/openstack-puppet/modules/nssdb/


%changelog
* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 1.0.1-2
- Add the basics of what the module can do to README.md
- convert to upstream tag tarball
- update License to ALS-2.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.0.1-1
- Newton update 1.0.1 (2e163a21fb80d828afede2d4be6214f1171c4887)

